org.apache.lucene.util

## Class FailureMarker

- java.lang.Object
- - org.junit.runner.notification.RunListener
  - - org.apache.lucene.util.FailureMarker

-     public class FailureMarker
      extends RunListener

  A `RunListener` that detects suite/ test failures. We need it because failures due to thread leaks happen outside of any rule contexts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FailureMarker()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hadFailures()`
    `static void` | `resetFailures()`
    `void` | `testFailure(Failure failure)`

    - ### Methods inherited from class org.junit.runner.notification.RunListener

      `testAssumptionFailure, testFinished, testIgnored, testRunFinished, testRunStarted, testStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FailureMarker

          public FailureMarker()

  - ### Method Detail

    - #### testFailure

          public void testFailure(Failure failure)
                           throws Exception

      Overrides:
        `testFailure` in class `RunListener`
      Throws:
        `Exception`

    - #### hadFailures

          public static boolean hadFailures()

    - #### resetFailures

          public static void resetFailures()

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.